# Class SwishAccountPayload

#### Hierarchy

- unknown
  - SwishAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4702
- Defined in src/protobuf/pb_pb.d.ts:4717

#####
Index

### Constructors

constructor

### Methods

getHolderName
getMobileNr
serializeBinary
setHolderName
setMobileNr
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SwishAccountPayload(): SwishAccountPayload

- #### Returns SwishAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4706

### getMobileNr

- getMobileNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4703

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4709

### setHolderName

- setHolderName(value: string): SwishAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwishAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4707

### setMobileNr

- setMobileNr(value: string): SwishAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwishAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4704

### toObject

- toObject(includeInstance?: boolean): SwishAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SwishAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4710

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SwishAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SwishAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4713

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SwishAccountPayload, reader: BinaryReader): SwishAccountPayload

- #### Parameters

  - ##### message: SwishAccountPayload

  - ##### reader: BinaryReader

  #### Returns SwishAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4714

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SwishAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SwishAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4712

### `Static` toObject

- toObject(includeInstance: boolean, msg: SwishAccountPayload): SwishAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SwishAccountPayload

  #### Returns SwishAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4711

Generated using TypeDoc